AWS Lambda
Guia do desenvolvedor

Referência da API

Esta seção contém a documentação de referência da API AWS Lambda. Ao fazer chamadas de API, você precisará autenticar sua solicitação fornecendo uma assinatura. AWS Lambda dá suporte ao Signature versão 4. Para obter mais informações, consulte o Processo de assinatura do Signature versão 4 em Referência geral do Amazon Web Services.

Para obter uma visão geral do serviço, consulte O que é o AWS Lambda?.

Você pode usar a AWS CLI para explorar a API do AWS Lambda. Este guia fornece vários tutoriais que usam a AWS CLI.

Tópicos

Erros de certificado ao usar um SDK

Como os SDKs das AWS usam os certificados de CA do computador, as alterações feitas nos certificados nos servidores da AWS podem provocar falhas de conexão quando você tenta usar um SDK. Você pode impedir essas falhas mantendo os certificados de CA do computador e o sistema operacional atualizados. Se encontrar esse problema em um ambiente corporativo e não gerenciar seu computador, talvez tenha de pedir a um administrador para auxiliá-lo no processo de atualização. A lista a seguir mostra as versões mínimas de sistema operacional e Java:

  • As versões do Microsoft Windows que têm atualizações de janeiro de 2005 ou posteriores instaladas contêm pelo menos uma das CAs necessárias em sua lista de confiança.

  • O Mac OS X 10.4 com Java para Mac OS X 10.4 Release 5 (fevereiro de 2007), Mac OS X 10.5 (outubro de 2007) e versões posteriores contêm pelo menos uma das CAs necessárias em sua lista de confiança.

  • O Red Hat Enterprise Linux 5 (março de 2007), 6 e 7 e o CentOS 5, 6 e 7 contêm pelo menos uma das CAs necessárias em sua lista de CAs confiáveis padrão.

  • Java 1.4.2_12 (maio de 2006), 5 Update 2 (março de 2005) e todas as versões mais recentes, como Java 6 (dezembro de 2006), 7 e 8, contêm pelo menos uma das CAs necessárias em sua lista de CAs confiáveis padrão.

Ao acessar o console de gerenciamento do AWS Lambda ou os endpoints de API do AWS Lambda, seja por meio dos navegadores ou de maneira programática, é necessário verificar se suas máquinas clientes suportam algum destes CAs:

  • Amazon Root CA 1

  • Starfield Services Root Certificate Authority – G2

  • Starfield Class 2 Certification Authority

Os certificados raiz das duas primeiras autoridades estão disponíveis em Amazon Trust Services, mas manter o computador atualizado é a solução mais simples. Para saber mais sobre os certificados fornecidos pelo ACM, consulte Perguntas frequentes sobre o AWS Certificate Manager.